#
# spec file for package c3p0 (Version 0.9.1.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section free

Name:           c3p0
Version:        0.9.1.2
Release:        1.4
%define jpp_release 2
Summary:        JDBC DataSources/Resource Pools
License:        LGPL v2.0 or later
Group:          Development/Libraries/Java
Url:            http://sourceforge.net/projects/c3p0/
Source0:        http://downloads.sourceforge.net/sourceforge/c3p0/c3p0-0.9.1.2.src.tgz
# this will be patched from build.xml, so I marked it as a source
Source1:        c3p0-codegen-java6.patch
Patch0:         c3p0-java6.patch
Patch1:         c3p0-codegen-patch.patch
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  ant java-devel unzip rhino
BuildRequires:  ant-nodeps
#BuildRequires:  junit
Requires:       %{_sbindir}/update-alternatives
Provides:       hibernate_jdbc_cache
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
c3p0 is an easy-to-use library for augmenting traditional
(DriverManager-based) JDBC drivers with JNDI-bindable DataSources,
including DataSources that implement Connection and Statement Pooling,
as described by the jdbc3 spec and jdbc2 standard extension.



%package javadoc
License:        LGPL v2.0 or later
Summary:        Javadoc for c3p0
Group:          Development/Documentation

%description javadoc
Javadoc for c3p0.



%prep
%setup -q -n %{name}-%{version}.src
find . -name "*.jar" | xargs rm

cp %{SOURCE1} .

%patch0 -b .java6
%patch1 -b .codegen-patch

%build
#export CLASSPATH=$(build-classpath \
#junit)
#ant -Dbuild.sysclasspath=first open-dist stats-test benchmark-test load-test psload-test refser-test
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-nodeps"
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dbuild.sysclasspath=first open-dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.bin/lib/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# hibernate_jdbc_cache ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/hibernate_jdbc_cache.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/update-alternatives --install %{_javadir}/hibernate_jdbc_cache.jar \
  hibernate_jdbc_cache %{_javadir}/%{name}.jar 20

%preun
{
  [ $1 -eq 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove hibernate_jdbc_cache %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%files
%defattr(0644,root,root,0755)
%doc src/dist-static/LICENSE src/doc/index.html
%{_javadir}/*
%ghost %{_javadir}/hibernate_jdbc_cache.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
